Index: pacemaker/pengine/test10/726.exp
===================================================================
--- pacemaker.orig/pengine/test10/726.exp
+++ pacemaker/pengine/test10/726.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="34" operation="monitor" operation_key="DcIPaddr_monitor_5000" on_node="test03" on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  ip="127.0.0.10"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="test03" CRM_meta_on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a" CRM_meta_timeout="20000"  ip="127.0.0.10"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -12,7 +12,7 @@
      <action_set>
       <rsc_op id="20" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.10"/>
+        <attributes CRM_meta_on_node="test02" CRM_meta_on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.10"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -21,7 +21,7 @@
      <action_set>
       <rsc_op id="11" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.10"/>
+        <attributes CRM_meta_on_node="sgi2" CRM_meta_on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.10"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -30,7 +30,7 @@
      <action_set>
       <rsc_op id="2" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.10"/>
+        <attributes CRM_meta_on_node="ibm1" CRM_meta_on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.10"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -39,7 +39,7 @@
      <action_set>
       <rsc_op id="36" operation="monitor" operation_key="rsc_sgi2_monitor_5000" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8">
         <primitive id="rsc_sgi2" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  ip="127.0.0.11"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sgi2" CRM_meta_on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8" CRM_meta_timeout="20000"  ip="127.0.0.11"/>
        </rsc_op>
      </action_set>
     <inputs>
@@ -52,7 +52,7 @@
      <action_set>
       <rsc_op id="35" operation="start" operation_key="rsc_sgi2_start_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8">
         <primitive id="rsc_sgi2" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000"  ip="127.0.0.11"/>
+        <attributes CRM_meta_on_node="sgi2" CRM_meta_on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8" CRM_meta_timeout="20000"  ip="127.0.0.11"/>
        </rsc_op>
      </action_set>
     <inputs>
@@ -74,7 +74,7 @@
      <action_set>
       <rsc_op id="28" operation="monitor" operation_key="rsc_sgi2_monitor_0" on_node="test03" on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a">
         <primitive id="rsc_sgi2" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.11"/>
+        <attributes CRM_meta_on_node="test03" CRM_meta_on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.11"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -83,7 +83,7 @@
      <action_set>
       <rsc_op id="21" operation="monitor" operation_key="rsc_sgi2_monitor_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947">
         <primitive id="rsc_sgi2" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.11"/>
+        <attributes CRM_meta_on_node="test02" CRM_meta_on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.11"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -92,7 +92,7 @@
      <action_set>
       <rsc_op id="12" operation="monitor" operation_key="rsc_sgi2_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8">
         <primitive id="rsc_sgi2" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.11"/>
+        <attributes CRM_meta_on_node="sgi2" CRM_meta_on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.11"/>
        </rsc_op>
      </action_set>
     <inputs/>
@@ -101,7 +101,7 @@
      <action_set>
       <rsc_op id="3" operation="monitor" operation_key="rsc_sgi2_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638">
         <primitive id="rsc_sgi2" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.11"/>
+        <attributes CRM_meta_on_node="ibm1" CRM_meta_on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.11"/>
        </rsc_op>
      </action_set>
     <inputs/>
@@ -110,7 +110,7 @@
      <action_set>
       <rsc_op id="39" operation="monitor" operation_key="rsc_ibm1_monitor_5000" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638">
         <primitive id="rsc_ibm1" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="ibm1" CRM_meta_on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
        </rsc_op>
      </action_set>
     <inputs>
@@ -123,7 +123,7 @@
      <action_set>
       <rsc_op id="38" operation="start" operation_key="rsc_ibm1_start_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638">
         <primitive id="rsc_ibm1" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000"  ip="127.0.0.12"/>
+        <attributes CRM_meta_on_node="ibm1" CRM_meta_on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
        </rsc_op>
      </action_set>
     <inputs>
@@ -145,7 +145,7 @@
      <action_set>
       <rsc_op id="37" operation="stop" operation_key="rsc_ibm1_stop_0" on_node="test03" on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a">
         <primitive id="rsc_ibm1" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000"  ip="127.0.0.12"/>
+        <attributes CRM_meta_on_node="test03" CRM_meta_on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -164,7 +164,7 @@
     <action_set>
       <rsc_op id="22" operation="monitor" operation_key="rsc_ibm1_monitor_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947">
         <primitive id="rsc_ibm1" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
+        <attributes CRM_meta_on_node="test02" CRM_meta_on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -173,7 +173,7 @@
      <action_set>
       <rsc_op id="13" operation="monitor" operation_key="rsc_ibm1_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8">
         <primitive id="rsc_ibm1" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
+        <attributes CRM_meta_on_node="sgi2" CRM_meta_on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
        </rsc_op>
      </action_set>
     <inputs/>
@@ -182,7 +182,7 @@
      <action_set>
       <rsc_op id="4" operation="monitor" operation_key="rsc_ibm1_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638">
         <primitive id="rsc_ibm1" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
+        <attributes CRM_meta_on_node="ibm1" CRM_meta_on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.12"/>
        </rsc_op>
      </action_set>
     <inputs/>
@@ -191,7 +191,7 @@
      <action_set>
       <rsc_op id="41" operation="monitor" operation_key="rsc_test02_monitor_5000" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947">
         <primitive id="rsc_test02" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="test02" CRM_meta_on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
        </rsc_op>
      </action_set>
     <inputs>
@@ -204,7 +204,7 @@
      <action_set>
       <rsc_op id="40" operation="start" operation_key="rsc_test02_start_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947">
         <primitive id="rsc_test02" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000"  ip="127.0.0.13"/>
+        <attributes CRM_meta_on_node="test02" CRM_meta_on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
        </rsc_op>
      </action_set>
     <inputs>
@@ -226,7 +226,7 @@
      <action_set>
       <rsc_op id="29" operation="monitor" operation_key="rsc_test02_monitor_0" on_node="test03" on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a">
         <primitive id="rsc_test02" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
+        <attributes CRM_meta_on_node="test03" CRM_meta_on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -235,7 +235,7 @@
      <action_set>
       <rsc_op id="23" operation="monitor" operation_key="rsc_test02_monitor_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947">
         <primitive id="rsc_test02" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
+        <attributes CRM_meta_on_node="test02" CRM_meta_on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -244,7 +244,7 @@
      <action_set>
       <rsc_op id="14" operation="monitor" operation_key="rsc_test02_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8">
         <primitive id="rsc_test02" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
+        <attributes CRM_meta_on_node="sgi2" CRM_meta_on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
        </rsc_op>
      </action_set>
     <inputs/>
@@ -253,7 +253,7 @@
      <action_set>
       <rsc_op id="5" operation="monitor" operation_key="rsc_test02_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638">
         <primitive id="rsc_test02" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
+        <attributes CRM_meta_on_node="ibm1" CRM_meta_on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.13"/>
        </rsc_op>
      </action_set>
     <inputs/>
@@ -262,7 +262,7 @@
      <action_set>
       <rsc_op id="44" operation="monitor" operation_key="rsc_test03_monitor_5000" on_node="test03" on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a">
         <primitive id="rsc_test03" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  ip="127.0.0.14"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="test03" CRM_meta_on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a" CRM_meta_timeout="20000"  ip="127.0.0.14"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -271,7 +271,7 @@
      <action_set>
       <rsc_op id="24" operation="monitor" operation_key="rsc_test03_monitor_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947">
         <primitive id="rsc_test03" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.14"/>
+        <attributes CRM_meta_on_node="test02" CRM_meta_on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.14"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -280,7 +280,7 @@
      <action_set>
       <rsc_op id="15" operation="monitor" operation_key="rsc_test03_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8">
         <primitive id="rsc_test03" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.14"/>
+        <attributes CRM_meta_on_node="sgi2" CRM_meta_on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.14"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -289,7 +289,7 @@
      <action_set>
       <rsc_op id="6" operation="monitor" operation_key="rsc_test03_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638">
         <primitive id="rsc_test03" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.14"/>
+        <attributes CRM_meta_on_node="ibm1" CRM_meta_on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="127.0.0.14"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -298,7 +298,7 @@
      <action_set>
       <rsc_op id="47" operation="monitor" operation_key="child_DoFencing:0_monitor_5000" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947">
         <primitive id="child_DoFencing:0" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_requires="nothing" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="test02" CRM_meta_on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947" CRM_meta_requires="nothing" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
        </rsc_op>
      </action_set>
     <inputs>
@@ -311,7 +311,7 @@
      <action_set>
       <rsc_op id="45" operation="start" operation_key="child_DoFencing:0_start_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947">
         <primitive id="child_DoFencing:0" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_requires="nothing" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_node="test02" CRM_meta_on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947" CRM_meta_requires="nothing" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -324,7 +324,7 @@
     <action_set>
       <rsc_op id="16" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8">
         <primitive id="child_DoFencing:0" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="sgi2" CRM_meta_on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -333,7 +333,7 @@
      <action_set>
       <rsc_op id="7" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638">
         <primitive id="child_DoFencing:0" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="ibm1" CRM_meta_on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -342,7 +342,7 @@
     <action_set>
       <rsc_op id="50" operation="monitor" operation_key="child_DoFencing:1_monitor_5000" on_node="test03" on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a">
         <primitive id="child_DoFencing:1" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_requires="nothing" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="test03" CRM_meta_on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a" CRM_meta_requires="nothing" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -355,7 +355,7 @@
      <action_set>
       <rsc_op id="48" operation="start" operation_key="child_DoFencing:1_start_0" on_node="test03" on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a">
         <primitive id="child_DoFencing:1" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_requires="nothing" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_node="test03" CRM_meta_on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a" CRM_meta_requires="nothing" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -368,7 +368,7 @@
     <action_set>
       <rsc_op id="25" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947">
         <primitive id="child_DoFencing:1" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="test02" CRM_meta_on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -377,7 +377,7 @@
      <action_set>
       <rsc_op id="17" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8">
         <primitive id="child_DoFencing:1" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="sgi2" CRM_meta_on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -386,7 +386,7 @@
      <action_set>
       <rsc_op id="8" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638">
         <primitive id="child_DoFencing:1" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="ibm1" CRM_meta_on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -395,7 +395,7 @@
      <action_set>
       <rsc_op id="52" operation="monitor" operation_key="child_DoFencing:2_monitor_5000" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638">
         <primitive id="child_DoFencing:2" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_requires="nothing" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="ibm1" CRM_meta_on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638" CRM_meta_requires="nothing" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -408,7 +408,7 @@
      <action_set>
       <rsc_op id="51" operation="start" operation_key="child_DoFencing:2_start_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638">
         <primitive id="child_DoFencing:2" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_requires="nothing" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_node="ibm1" CRM_meta_on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638" CRM_meta_requires="nothing" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -421,7 +421,7 @@
      <action_set>
       <rsc_op id="30" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="test03" on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a">
         <primitive id="child_DoFencing:2" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="test03" CRM_meta_on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -430,7 +430,7 @@
      <action_set>
       <rsc_op id="26" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947">
         <primitive id="child_DoFencing:2" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="test02" CRM_meta_on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -439,7 +439,7 @@
      <action_set>
       <rsc_op id="18" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8">
         <primitive id="child_DoFencing:2" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="sgi2" CRM_meta_on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -448,7 +448,7 @@
      <action_set>
       <rsc_op id="9" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638">
         <primitive id="child_DoFencing:2" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="ibm1" CRM_meta_on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -457,7 +457,7 @@
      <action_set>
       <rsc_op id="54" operation="monitor" operation_key="child_DoFencing:3_monitor_5000" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8">
         <primitive id="child_DoFencing:3" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_requires="nothing" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="sgi2" CRM_meta_on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8" CRM_meta_requires="nothing" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -470,7 +470,7 @@
      <action_set>
       <rsc_op id="53" operation="start" operation_key="child_DoFencing:3_start_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8">
         <primitive id="child_DoFencing:3" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_requires="nothing" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_node="sgi2" CRM_meta_on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8" CRM_meta_requires="nothing" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -483,7 +483,7 @@
      <action_set>
       <rsc_op id="31" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="test03" on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a">
         <primitive id="child_DoFencing:3" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
+        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="test03" CRM_meta_on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="sgi2 ibm1 test02 test03 "/>
        </rsc_op>
      </action_set>
      <inputs/>
